GIR-GENERATOR(1)

NAME
gir-generator - Deepin's Golang Gir Generator

SYNOPSIS
gir-generator [FLAGS] <dir>

DESCRIPTION
This manual page documents briefly the gir-generator command as provided by golang-gir-generator package.

The binary program gir-generator is the static binding code generator.

It read the GIRepository and template files from lib.in directory..

OPTIONS

-config <string>
    Specify global config file

-o <string>
    Override output directory

EXAMPLE
cd lib.in/gobject-2.0

gir-generator -o . gobject.go.in

SEE ALSO

This program is further documented in the README.md as provided with this debian package under /usr/share/doc/golang-gir-generator/ directory.

AUTHOR

gir-generator is written by Deepin Technology Co., Ltd.

This manual page was written by Arun Kumar Pariyar (openarungeek@gmail.com) for the Debian Project (but may be used by others).